PX_GET_RECORD(3)

NAME
PX_get_record — Returns record in Paradox file

SYNOPSIS

#include <paradox.h>

int PX_get_record(pxdoc_t *pxdoc, int recno, char *data)

DESCRIPTION

Returns the record with the given number in a Paradox file. The first record has number 0, the last one has number_of_records-1.

If you accessing several records, do it in ascending order, because this is the most efficient way.

    Note:

    This function is deprecated. Use PX_retrieve_record(3) instead

RETURN VALUE

Returns 0 on success and -1 on failure.

SEE ALSO

PX_get_field(3), PX_get_record2(3)

AUTHOR

This manual page was written by Uwe Steinmann uwe@steinmann.cx.